Qt Reference Documentation

# Qt 3 Support Members for QPushButton

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QPushButton class reference

## Public Functions

| QPushButton ( QWidget * parent, const char * name )
| QPushButton ( const QString & text, QWidget * parent, const char * name )
| QPushButton ( const QIcon & icon, const QString & text, QWidget * parent, const char * name )
bool | isMenuButton () const
void | openPopup ()
QMenu * | popup () const
void | setPopup ( QMenu * popup )

- 9 public functions inherited from QAbstractButton
- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QPushButton::QPushButton ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QPushButton::QPushButton ( const QString & text, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QPushButton::QPushButton ( const QIcon & icon, const QString & text, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### bool QPushButton::isMenuButton () const

Use menu() != 0 instead.

### void QPushButton::openPopup ()

Use showMenu() instead.

### QMenu * QPushButton::popup () const

Use menu() instead.

See also setPopup().

### void QPushButton::setPopup ( QMenu * popup )

Use setMenu() instead.

See also popup().